Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestPrint/FrmRequestPrintSel.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestPrint/FrmRequestPrintSel.cs	(nonexistent)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestPrint/FrmRequestPrintSel.cs	(revision 369)
@@ -0,0 +1,310 @@
+﻿using System;
+using System.Collections;
+using System.Collections.Generic;
+using System.ComponentModel;
+using System.Data;
+using System.Drawing;
+using System.Linq;
+using System.Text;
+using System.Threading.Tasks;
+using System.Windows.Forms;
+
+using ProcessManagement.Common;
+using ProcessManagement.DataModel;
+using ProcessManagement.DB;
+using ProcessManagement.DB.IOAccess;
+using ProcessManagement.Forms.SubForms;
+using ProcessManagement.Forms.ControlsAction;
+
+
+namespace ProcessManagement.Forms.DataEntry
+{
+    public partial class FrmRequestPrintSel : Form
+    {
+        #region 使用定義
+        //log4netログを使用する
+        private static readonly log4net.ILog logger = log4net.LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType);
+        #endregion
+
+        #region 定数
+
+        /// <summary>
+        /// チェック結果
+        /// </summary>
+        private enum CheckState
+        {
+            Ok = 0,
+            Warning,
+            Error,
+        }
+
+        /// <summary>
+        /// グリッドカラム
+        /// </summary>
+        private enum DispColumn
+        {
+            DataNo=0,
+            CheckFlg,
+            RequestTitle,
+            ReqValue,
+            CreateDate,
+            RequestNo,
+            InvoiceNo,
+        }
+        #endregion
+
+        #region 変数
+
+        /// <summary>
+        /// 起動フラグ
+        /// </summary>
+        private int m_ExecuteFlg = 0;
+        /// <summary>
+        /// 起動時補助フラグ
+        /// </summary>
+        private int m_ExecuteSubFlg = 0;
+
+        /// <summary>
+        /// 編集モード
+        /// </summary>
+        private bool m_bEditFlg = true;
+        /// <summary>
+        //// 請求書No
+        /// </summary>
+        private int m_nInvoiceNo = 0;
+        /// <summary>
+        /// 請求月
+        /// </summary>
+        private int m_nRequestMonth = 0;
+        /// <summary>
+        /// 発注者区分
+        /// </summary>
+        private int m_nOrderersDivision = 0;
+        /// <summary>
+        /// 発注者コード
+        /// </summary>
+        private int m_nOrderersCode = 0;
+        /// <summary>
+        /// 発注者名
+        /// </summary>
+        private string m_strOrderersName = "";
+
+        /// <summary>
+        /// 請求ヘッダ
+        /// </summary>
+        private List<RequestHead> m_lstReqHead = new List<RequestHead>();
+
+        /// <summary>
+        /// 請求書データ
+        /// </summary>
+        private Dictionary<int, InvoiceData> m_dicInvData = new Dictionary<int, InvoiceData>();
+
+        /// <summary>
+        /// 終了ボタン押下フラグ
+        /// </summary>
+        private bool m_CloseingProcessOff = false;
+        #endregion
+
+        #region プロパティ
+        /// <summary>
+        /// 起動フラグ
+        /// </summary>
+        public int ExecuteFlg
+        {
+            get { return m_ExecuteFlg; }
+            set { m_ExecuteFlg = value; }
+        }
+        /// <summary>
+        /// 起動時補助フラグ
+        /// </summary>
+        public int ExecuteSubFlg
+        {
+            get { return m_ExecuteSubFlg; }
+            set { m_ExecuteSubFlg = value; }
+        }
+        /// <summary>
+        /// 編集モード
+        /// </summary>
+        public bool EditFlg
+        {
+            get { return m_bEditFlg; }
+            set { m_bEditFlg = value; }
+        }
+        /// <summary>
+        /// 請求月
+        /// </summary>
+        public int RequestMonth
+        {
+            get { return m_nRequestMonth; }
+            set { m_nRequestMonth = value; }
+        }
+        /// <summary>
+        /// 発注者区分
+        /// </summary>
+        public int OrderersDivision
+        {
+            get { return m_nOrderersDivision; }
+            set { m_nOrderersDivision = value; }
+        }
+        /// <summary>
+        /// 発注者コード
+        /// </summary>
+        public int OrderersCode
+        {
+            get { return m_nOrderersCode; }
+            set { m_nOrderersCode = value; }
+        }
+        /// <summary>
+        /// 発注者名
+        /// </summary>
+        public string OrderersName
+        {
+            get { return m_strOrderersName; }
+            set { m_strOrderersName = value; }
+        }
+
+        #endregion
+
+        #region コンストラクタ
+        public FrmRequestPrintSel()
+        {
+            InitializeComponent();
+        }
+        #endregion
+
+        #region フォームのロード
+        /// <summary>
+        /// フォームのロード
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void FrmRequestPrintSel_Load(object sender, EventArgs e)
+        {
+            // フォームの初期スタイル設定
+            InitSetFormStyle();
+
+            // データ表示
+            DispGridData();
+        }
+        #endregion
+
+        #region [削除]ボタン押下
+        /// <summary>
+        /// [削除]ボタン押下
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnDel_Click(object sender, EventArgs e)
+        {
+            try
+            {
+                // 請求データ取消処理
+                InvoiceRemoveProc();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region [請求書作成]ボタン押下
+        /// <summary>
+        /// [請求書作成]ボタン押下
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnGenerate_Click(object sender, EventArgs e)
+        {
+            try
+            {
+                // 印刷実行
+                EntryPrintProc();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 印刷中断
+        /// <summary>
+        /// 印刷中断
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnCancel_Click(object sender, EventArgs e)
+        {
+            //キャンセルのフラッグを立てる
+            m_Canceled = true;
+        }
+        #endregion
+
+        #region ×ボタン
+        /// <summary>
+        /// ×ボタン押下処理
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void FrmRequestPrintSel_FormClosing(object sender, FormClosingEventArgs e)
+        {
+            if (!m_CloseingProcessOff) ClsExcute.BackProcess();
+        }
+        #endregion
+
+        #region [終了]ボタン押下
+        /// <summary>
+        /// [終了]ボタン押下
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnEnd_Click(object sender, EventArgs e)
+        {
+            // 画面クローズ
+            this.Close();
+        }
+        #endregion
+
+        #region 作成日コンボの選択変更
+        /// <summary>
+        /// 作成日コンボの選択変更
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        //private int m_nOldSelectedValue = 0;
+        //private void cbCreateDate_SelectedIndexChanged(object sender, EventArgs e)
+        //{
+        //    int nInvoiceNo = CommonMotions.cnvInt(cbCreateDate.SelectedValue);
+
+        //    if (m_nOldSelectedValue == nInvoiceNo)
+        //    {
+        //        return;
+        //    }
+
+        //    m_nOldSelectedValue = nInvoiceNo;
+
+        //    RefleshRequestList(nInvoiceNo);
+        //}
+        #endregion
+
+        #region セル内容のクリック
+        /// <summary>
+        /// セル内容のクリック
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void dgv1_CellContentClick(object sender, DataGridViewCellEventArgs e)
+        {
+            // 同一番号チェック処理
+            CheckBoxGroupOn();
+
+            // 選択数、選択金額の更新
+            UpdateCheckValue();
+
+            btnGenerate.Enabled = true;
+            btnDel.Enabled = true;
+        }
+        #endregion
+    }
+}
